summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorThomas Preud'homme <robotux@celest.fr>2020-08-11 22:35:12 +0100
committerThomas Preud'homme <robotux@celest.fr>2020-08-11 22:35:12 +0100
commit3ac113857071fc1f225b2e1b42547269e568c6b7 (patch)
tree8b28dd9c44a0d3c7ab8187cd8d8f19d47591d813 /tools
parent9b10c21f5cad0e2ec27d23c59e65af7141a226f3 (diff)
New upstream version 2.2.4.4
Diffstat (limited to 'tools')
-rw-r--r--tools/to-pack/data/gentoo/ultracopier.ebuild118
-rwxr-xr-xtools/to-pack/data/qm-translation/ar.qmbin0 -> 33910 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/cs.qmbin0 -> 319922 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/da.qmbin0 -> 119836 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/de.qmbin0 -> 172 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/es.qmbin0 -> 82411 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/fa.qmbin0 -> 293111 bytes
-rw-r--r--tools/to-pack/data/qm-translation/fr.qmbin0 -> 255133 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/gl.qmbin0 -> 323577 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/he.qmbin0 -> 25666 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/hu.qmbin0 -> 272162 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/ja.qmbin0 -> 247883 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/ko.qmbin0 -> 241968 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/lt.qmbin0 -> 165373 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/pl.qmbin0 -> 316163 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/pt.qmbin0 -> 70321 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/ru.qmbin0 -> 183 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/sk.qmbin0 -> 176 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/sl.qmbin0 -> 228418 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/sv.qmbin0 -> 65848 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/uk.qmbin0 -> 216013 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/zh_CN.qmbin0 -> 117337 bytes
-rwxr-xr-xtools/to-pack/data/qm-translation/zh_TW.qmbin0 -> 117253 bytes
23 files changed, 118 insertions, 0 deletions
diff --git a/tools/to-pack/data/gentoo/ultracopier.ebuild b/tools/to-pack/data/gentoo/ultracopier.ebuild
new file mode 100644
index 0000000..0e97163
--- /dev/null
+++ b/tools/to-pack/data/gentoo/ultracopier.ebuild
@@ -0,0 +1,118 @@
+
+EAPI=4
+
+LANGS="ar de el es fr hi id it ja nl no pl pt ru th tr zh"
+
+inherit eutils qt5
+
+DESCRIPTION="Advanced file copying tool"
+HOMEPAGE="http://ultracopier.first-world.info/"
+SRC_URI="http://files.first-world.info/${PN}/${PV}/ultracopier-src-${PV}.tar.xz -> ${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug"
+S=${WORKDIR}/${P}/src/
+
+RDEPEND="x11-libs/qt-core:5
+ x11-libs/qt-gui:5"
+DEPEND="${RDEPEND}"
+
+DOCSDIR="${S}/"
+DOCS="README"
+
+src_prepare() {
+ find -name "informations.xml" -exec sed -i -r "s/<architecture>.*<\/architecture>/<architecture>linux-x86_64-pc<\/architecture>/g" {} \; > /dev/null 2>&1
+ find -name "informations.xml" -exec sed -i -r "s/<version>.*<\/version>/<version>${PV}<\/version>/g" {} \; > /dev/null 2>&1
+ find -name "Variable.h" -exec sed -i "s/#define ULTRACOPIER_VERSION_PORTABLE/\/\/#define ULTRACOPIER_VERSION_PORTABLE/g" {} \; > /dev/null 2>&1
+ find -name "Variable.h" -exec sed -i "s/#define ULTRACOPIER_VERSION_PORTABLEAPPS/\/\/#define ULTRACOPIER_VERSION_PORTABLEAPPS/g" {} \; > /dev/null 2>&1
+ if use debug ; then
+ then
+ find -name "Variable.h" -exec sed -i "s/\/\/#define ULTRACOPIER_DEBUG/#define ULTRACOPIER_DEBUG/g" {} \; > /dev/null 2>&1
+ find -name "Variable.h" -exec sed -i "s/\/\/#define ULTRACOPIER_PLUGIN_DEBUG/#define ULTRACOPIER_PLUGIN_DEBUG/g" {} \; > /dev/null 2>&1
+ find -name "Variable.h" -exec sed -i "s/\/\/#define ULTRACOPIER_PLUGIN_DEBUG_WINDOW/#define ULTRACOPIER_PLUGIN_DEBUG_WINDOW/g" {} \; > /dev/null 2>&1
+ else
+ find -name "Variable.h" -exec sed -i "s/#define ULTRACOPIER_DEBUG/\/\/#define ULTRACOPIER_DEBUG/g" {} \; > /dev/null 2>&1
+ find -name "Variable.h" -exec sed -i "s/#define ULTRACOPIER_PLUGIN_DEBUG/\/\/#define ULTRACOPIER_PLUGIN_DEBUG/g" {} \; > /dev/null 2>&1
+ find -name "Variable.h" -exec sed -i "s/#define ULTRACOPIER_PLUGIN_DEBUG_WINDOW/\/\/#define ULTRACOPIER_PLUGIN_DEBUG_WINDOW/g" {} \; > /dev/null 2>&1
+ fi
+ find -name "Variable.h" -exec sed -i "s/#define ULTRACOPIER_PLUGIN_ALL_IN_ONE/\/\/#define ULTRACOPIER_PLUGIN_ALL_IN_ONE/g" {} \; > /dev/null 2>&1
+ find -name "Variable.h" -exec sed -i "s/\/\/#define ULTRACOPIER_VERSION_ULTIMATE/#define ULTRACOPIER_VERSION_ULTIMATE/g" {} \; > /dev/null 2>&1
+ eqmake4 "${S}"/ultracopier-core.pro
+ eqmake4 "${S}"/plugins/CopyEngine/Ultracopier/CopyEngine.pro
+ eqmake4 "${S}"/plugins/Listener/catchcopy-v0002/listener.pro
+ eqmake4 "${S}"/plugins/plugins/SessionLoader/KDE4/sessionLoader.pro
+ eqmake4 "${S}"/plugins/Themes/Oxygen/interface.pro
+}
+
+src_compile() {
+ lrelease -nounfinished -compress -removeidentical -silent ultracopier-core.pro > /dev/null 2>&1 || die "Error when release the qm file"
+ if [ -f Makefile ] ; then
+ emake
+ fi
+ cd "${S}"/plugins/CopyEngine/Ultracopier/
+ if [ -f Makefile ] ; then
+ emake
+ fi
+ cd "${S}"/plugins/Listener/catchcopy-v0002/
+ if [ -f Makefile ] ; then
+ emake
+ fi
+ cd "${S}"/plugins/plugins/SessionLoader/KDE4/
+ if [ -f Makefile ] ; then
+ emake
+ fi
+ cd "${S}"/plugins/Themes/Oxygen/
+ if [ -f Makefile ] ; then
+ emake
+ fi
+}
+
+src_install() {
+ dobin ultracopier
+ newicon resources/ultracopier-128x128.png ultracopier.png
+ domenu resources/ultracopier.desktop
+
+ insinto /usr/share/Ultracopier/CopyEngine/Ultracopier/
+ doins plugins/CopyEngine/Ultracopier/informations.xml
+ doins plugins/CopyEngine/Ultracopier/libcopyEngine.so
+ fperms 0755 /plugins/CopyEngine/Ultracopier/libcopyEngine.so
+
+ insinto /usr/share/Ultracopier/Listener/catchcopy-v0002/
+ doins plugins/Listener/catchcopy-v0002/informations.xml
+ doins plugins/Listener/catchcopy-v0002/liblistener.so
+ fperms 0755 /plugins/Listener/catchcopy-v0002/liblistener.so
+
+ insinto /usr/share/Ultracopier/SessionLoader/KDE4/
+ doins plugins/SessionLoader/KDE4/informations.xml
+ doins plugins/SessionLoader/KDE4/libsessionLoader.so
+ fperms 0755 /plugins/SessionLoader/KDE4/libsessionLoader.so
+
+ insinto /usr/share/Ultracopier/Themes/Oxygen/
+ doins plugins/Themes/Oxygen/informations.xml
+ doins plugins/Themes/Oxygen/libinterface.so
+ fperms 0755 /plugins/Themes/Oxygen/libinterface.so
+
+ lrelease -nounfinished -compress -removeidentical -silent ultracopier-core.pro > /dev/null 2>&1 || die "Error when release the qm file"
+ for project in `find plugins/ plugins-alternative/ -maxdepth 2 -type d`
+ do
+ if [ -f ${project}/*.pro ]
+ then
+ lrelease -nounfinished -compress -removeidentical -silent ${project}/*.pro > /dev/null 2>&1 || die "Error when release the qm file"
+ fi
+ done
+ find -iname "*.ts" -exec rm {} \; > /dev/null 2>&1 || die "Error when remove the ts file"
+
+ # Install translations
+ for Z in ${LANGS}; do
+ if use linguas_${Z} ; then
+ insinto /usr/share/Ultracopier/Languages/${Z}/
+ doins -r plugins/Languages/${Z}/
+ insinto /usr/share/Ultracopier/CopyEngine/Ultracopier/Languages/${Z}/
+ doins -r plugins/CopyEngine/Ultracopier/Languages/${Z}/
+ insinto /usr/share/Ultracopier/Themes/Oxygen/Languages/${Z}/
+ doins -r plugins/Themes/Oxygen/Languages/${Z}/
+ fi
+ done
+}
diff --git a/tools/to-pack/data/qm-translation/ar.qm b/tools/to-pack/data/qm-translation/ar.qm
new file mode 100755
index 0000000..e524d5b
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/ar.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/cs.qm b/tools/to-pack/data/qm-translation/cs.qm
new file mode 100755
index 0000000..52462ef
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/cs.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/da.qm b/tools/to-pack/data/qm-translation/da.qm
new file mode 100755
index 0000000..1e7dda6
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/da.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/de.qm b/tools/to-pack/data/qm-translation/de.qm
new file mode 100755
index 0000000..3650eec
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/de.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/es.qm b/tools/to-pack/data/qm-translation/es.qm
new file mode 100755
index 0000000..5191160
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/es.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/fa.qm b/tools/to-pack/data/qm-translation/fa.qm
new file mode 100755
index 0000000..103df26
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/fa.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/fr.qm b/tools/to-pack/data/qm-translation/fr.qm
new file mode 100644
index 0000000..a3e8eaf
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/fr.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/gl.qm b/tools/to-pack/data/qm-translation/gl.qm
new file mode 100755
index 0000000..bbc92ce
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/gl.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/he.qm b/tools/to-pack/data/qm-translation/he.qm
new file mode 100755
index 0000000..4ff507e
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/he.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/hu.qm b/tools/to-pack/data/qm-translation/hu.qm
new file mode 100755
index 0000000..fe78c34
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/hu.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/ja.qm b/tools/to-pack/data/qm-translation/ja.qm
new file mode 100755
index 0000000..84dd973
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/ja.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/ko.qm b/tools/to-pack/data/qm-translation/ko.qm
new file mode 100755
index 0000000..31f2b67
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/ko.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/lt.qm b/tools/to-pack/data/qm-translation/lt.qm
new file mode 100755
index 0000000..bdd0f98
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/lt.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/pl.qm b/tools/to-pack/data/qm-translation/pl.qm
new file mode 100755
index 0000000..2967b46
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/pl.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/pt.qm b/tools/to-pack/data/qm-translation/pt.qm
new file mode 100755
index 0000000..fc92511
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/pt.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/ru.qm b/tools/to-pack/data/qm-translation/ru.qm
new file mode 100755
index 0000000..d54bae8
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/ru.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/sk.qm b/tools/to-pack/data/qm-translation/sk.qm
new file mode 100755
index 0000000..9e8f862
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/sk.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/sl.qm b/tools/to-pack/data/qm-translation/sl.qm
new file mode 100755
index 0000000..46428f3
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/sl.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/sv.qm b/tools/to-pack/data/qm-translation/sv.qm
new file mode 100755
index 0000000..f3556bc
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/sv.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/uk.qm b/tools/to-pack/data/qm-translation/uk.qm
new file mode 100755
index 0000000..02b2566
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/uk.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/zh_CN.qm b/tools/to-pack/data/qm-translation/zh_CN.qm
new file mode 100755
index 0000000..623b8e3
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/zh_CN.qm
Binary files differ
diff --git a/tools/to-pack/data/qm-translation/zh_TW.qm b/tools/to-pack/data/qm-translation/zh_TW.qm
new file mode 100755
index 0000000..a9a25b2
--- /dev/null
+++ b/tools/to-pack/data/qm-translation/zh_TW.qm
Binary files differ